//Star-Enriched Illumination Powder
onEvent('item.registry', event => {
	event.create('star_enriched_illumination_powder')
	.displayName('Star-Enriched Illumination Powder')
})

//Mable Rod
onEvent('item.registry', event => {
	event.create('marble_rod')
	.displayName('Marble Rod')
})

//Aquamarine-Enriched Marble Rod
onEvent('item.registry', event => {
	event.create('aquamarine_enriched_marble_rod')
	.displayName('Aquamarine-Enriched Marble Rod')
})

//Starmetal-Enriched Marble Rod
onEvent('item.registry', event => {
	event.create('starmetal_enriched_marble_rod')
	.displayName('Starmetal-Enriched Marble Rod')
})

//Starmetal Lens
onEvent('item.registry', event => {
	event.create('starmetal_lens')
	.displayName('Starmetal Lens')
})

//Infused Nocturnal Powder
onEvent('item.registry', event => {
	event.create('infused_nocturnal_powder')
	.displayName('Infused Noctural Powder')
})

//Enhanced Starmetal Ingot
onEvent('item.registry', event => {
	event.create('enhanced_starmetal_ingot')
	.displayName('Enhanced Starmetal Ingot')
})

//Inert Fosic Resonator
onEvent('item.registry', event => {
	event.create('inert_fosic_resonator')
	.displayName('Inert Fosic Resonator')
})

//Inert Domic Resonator
onEvent('item.registry', event => {
	event.create('inert_domic_resonator')
	.displayName('Inert Domic Resonator')
})

//Inert Ichosic Resonator
onEvent('item.registry', event => {
	event.create('inert_ichosic_resonator')
	.displayName('Inert Ichosic Resonator')
})

//Inert Collector Crystal
onEvent('item.registry', event => {
	event.create('inert_collector_crystal')
	.displayName('Inert Collector Crystal')
})

//Inert Celestial Collector Crystal
onEvent('item.registry', event => {
	event.create('inert_celestial_collector_crystal')
	.displayName('Inert Celestial Collector Crystal')
})

//Shining Gem
onEvent('item.registry', event => {
	event.create('shining_gem')
	.displayName('Shining Gem')
})

//Briliant Gem
onEvent('item.registry', event => {
	event.create('briliant_gem')
	.displayName('Briliant Gem')
})

//Inert Briliant Gem
onEvent('item.registry', event => {
	event.create('inert_briliant_gem')
	.displayName('Inert Briliant Gem')
})

//Mystical Infusion Essence
onEvent('item.registry', event => {
	event.create('mystical_infusion_essence')
	.displayName('Mystical Infusion Essence')
})

//Inert Infusion Dust
onEvent('item.registry', event => {
	event.create('inert_infusion_essence')
	.displayName('Inert Infusion Dust')
})

//The Ultimate Star
onEvent('item.registry', event => {
	event.create('the_ultimate_star')
	.displayName('The Ultimate Star')
})

//Empty Catalyst
onEvent('item.registry', event => {
	event.create('empty_catalyst')
	.displayName('Empty Catalyst')
})

//Inert Basic Catalyst
onEvent('item.registry', event => {
	event.create('inert_basic_catalyst')
	.displayName('Inert Basic Catalyst')
})

//Inert Advanced Catalyst
onEvent('item.registry', event => {
	event.create('inert_advanced_catalyst')
	.displayName('Inert Advanced Catalyst')
})

//Inert Elite Catalyst
onEvent('item.registry', event => {
	event.create('inert_elite_catalyst')
	.displayName('Inert Elite Catalyst')
})

//Inert Ultimate Catalyst
onEvent('item.registry', event => {
	event.create('inert_ultimate_catalyst')
	.displayName('Inert Ultimate Catalyst')
})

//The Inert Ultimate Catalyst
onEvent('item.registry', event => {
	event.create('the_inert_ultimate_catalyst')
	.displayName('The Inert Ultimate Catalyst')
})

//Inert Luminessence
onEvent('item.registry', event => {
	event.create('inert_luminessence')
	.displayName('Inert Luminessence')
})

//Infused Glowstone
onEvent('item.registry', event => {
	event.create('infused_glowstone_dust')
	.displayName('Infused Glowstone Dust')
})

//Inert Philosopher's Stone
onEvent('item.registry', event => {
	event.create('inert_philosophers_stone')
	.displayName('Inert Philosopher\'s Stone')
})

//Inert Dark Matter Composite
onEvent('item.registry', event => {
	event.create('inert_dark_matter_composite')
	.displayName('Inert Dark Matter Composite')
})

//Dark Matter Composite
onEvent('item.registry', event => {
	event.create('dark_matter_composite')
	.displayName('Dark Matter Composite')
})

//Prepared Dark Matter
onEvent('item.registry', event => {
	event.create('prepared_dark_matter')
	.displayName('Prepared Dark Matter')
})

//White Matter
onEvent('item.registry', event => {
	event.create('white_matter')
	.displayName('White Matter')
})

//Inert Red Matter
onEvent('item.registry', event => {
	event.create('inert_red_matter')
	.displayName('Inert Red Matter')
})

//Extreme Covalence Dust
onEvent('item.registry', event => {
	event.create('extreme_covalence_dust')
	.displayName('Extreme Covalence Dust')
})

//Dark Matter Clock
onEvent('item.registry', event => {
	event.create('dark_matter_clock')
	.displayName('Dark Matter Clock')
})

//Infused Illumination Powder
onEvent('item.registry', event => {
	event.create('infused_illumination_powder')
	.displayName('Infused Illumination Powder')
})

//Highly Enriched Illumination Powder
onEvent('item.registry', event => {
	event.create('highly_enriched_illumination_powder')
	.displayName('Highly Enriched Illumination Powder')
})

//Spacetime Ingot
onEvent('item.registry', event => {
	event.create('spacetime_ingot')
	.displayName('Spacetime Ingot')
})

//Energised Gold Alloy Ingot
onEvent('item.registry', event => {
	event.create('energised_gold_alloy_ingot')
	.displayName('Energised Gold Alloy Ingot')
})

//NetheriteStarmetal Alloy Ingot
onEvent('item.registry', event => {
	event.create('netherite_starmetal_alloy_ingot')
	.displayName('Netherite-Starmetal Alloy Ingot')
})

//Briliant Diamond
onEvent('item.registry', event => {
	event.create('briliant_diamond')
	.displayName('Briliant Diamond')
})

//Briliant Emerald
onEvent('item.registry', event => {
	event.create('briliant_emerald')
	.displayName('Briliant Emerald')
})

//Incomplete Composite Singularity
onEvent('item.registry', event => {
	event.create('incomplete_composite_singularity')
	.displayName('Incomplete Composite Singularity')
})

//Modded Composite Singularity
onEvent('item.registry', event => {
	event.create('modded_singularity')
	.displayName('Modded Composite Singularity')
})

//Colorful Composite Singularity
onEvent('item.registry', event => {
	event.create('colorful_singularity')
	.displayName('Colorful Composite Singularity')
})

//Miscellaneous Composite Singularity
onEvent('item.registry', event => {
	event.create('miscellaneous_singularity')
	.displayName('Miscellaneous Composite Singularity')
})

//Resourceful Composite Singularity
onEvent('item.registry', event => {
	event.create('resourceful_singularity')
	.displayName('Resourceful Composite Singularity')
})

//The Ultimate Singularity
onEvent('item.registry', event => {
	event.create('spacetime_singularity')
	.displayName('The Ultimate Singularity')
})

//Singularification Catalyst
onEvent('item.registry', event => {
	event.create('singularification_catalyst')
	.displayName('Singularification Catalyst')
})

//Inert Infused Glass
onEvent('item.registry', event => {
	event.create('inert_infused_glass')
	.displayName('Inert Infused Glass')
})

//Iron Dust
onEvent('item.registry', event => {
	event.create('iron_dust')
	.displayName('Iron Dust')
})

//Gold Dust
onEvent('item.registry', event => {
	event.create('gold_dust')
	.displayName('Gold Dust')
})

//Diamond Dust
onEvent('item.registry', event => {
	event.create('diamond_dust')
	.displayName('Diamond Dust')
})

//Emerald Dust
onEvent('item.registry', event => {
	event.create('emerald_dust')
	.displayName('Emerald Dust')
})

//Obsidian Dust
onEvent('item.registry', event => {
	event.create('obsidian_dust')
	.displayName('Obsidian Dust')
})

//Glass Dust
onEvent('item.registry', event => {
	event.create('glass_dust')
	.displayName('Glass Dust')
})

//Ender Dust
onEvent('item.registry', event => {
	event.create('ender_dust')
	.displayName('Ender Dust')
})

//Ancient Debris Dust
onEvent('item.registry', event => {
	event.create('ancient_debris_dust')
	.displayName('Ancient Debris Dust')
})

//Coal Dust
onEvent('item.registry', event => {
	event.create('coal_dust')
	.displayName('Coal Dust')
})

//Lapis Dust
onEvent('item.registry', event => {
	event.create('lapis_dust')
	.displayName('Lapis Dust')
})

//Quartz Dust
onEvent('item.registry', event => {
	event.create('quartz_dust')
	.displayName('Quartz Dust')
})

//Aquamarine Dust
onEvent('item.registry', event => {
	event.create('aquamarine_dust')
	.displayName('Aquamarine Dust')
})

//Rock Crystal Dust
onEvent('item.registry', event => {
	event.create('rock_crystal_dust')
	.displayName('Rock Crystal Dust')
})

//Netherite Dust
onEvent('item.registry', event => {
	event.create('netherite_dust')
	.displayName('Netherite Dust')
})

//Energised Gold Alloy Dust
onEvent('item.registry', event => {
	event.create('energised_gold_alloy_dust')
	.displayName('Energised Gold Alloy Dust')
})

//Netherite-Starmetal Alloy Dust
onEvent('item.registry', event => {
	event.create('netherite_starmetal_alloy_dust')
	.displayName('Netherite-Starmetal Alloy Dust')
})

//Upgrade Base
onEvent('item.registry', event => {
	event.create('upgrade_base')
	.displayName('Upgrade Base')
})

//Speed Upgrade Base
onEvent('item.registry', event => {
	event.create('speed_upgrade_base')
	.displayName('Speed Upgrade Base')
})

//Basic Speed Upgrade
onEvent('item.registry', event => {
	event.create('basic_speed_upgrade')
	.displayName('Basic Speed Upgrade')
})

//Standard Speed Upgrade
onEvent('item.registry', event => {
	event.create('standard_speed_upgrade')
	.displayName('Standard Speed Upgrade')
})

//Improved Speed Upgrade
onEvent('item.registry', event => {
	event.create('improved_speed_upgrade')
	.displayName('Improved Speed Upgrade')
})

//Advanced Speed Upgrade
onEvent('item.registry', event => {
	event.create('advanced_speed_upgrade')
	.displayName('Advanced Speed Upgrade')
})

//Expert Speed Upgrade
onEvent('item.registry', event => {
	event.create('expert_speed_upgrade')
	.displayName('Expert Speed Upgrade')
})

//Elite Speed Upgrade
onEvent('item.registry', event => {
	event.create('elite_speed_upgrade')
	.displayName('Elite Speed Upgrade')
})

//Penultimate Speed Upgrade
onEvent('item.registry', event => {
	event.create('penultimate_speed_upgrade')
	.displayName('Penultimate Speed Upgrade')
})

//Ultimate Speed Upgrade
onEvent('item.registry', event => {
	event.create('ultimate_speed_upgrade')
	.displayName('Ultimate Speed Upgrade')
})

//Creative Speed Upgrade
onEvent('item.registry', event => {
	event.create('creative_speed_upgrade')
	.displayName('Creative Speed Upgrade')
})

//Empty Cast
onEvent('item.registry', event => {
	event.create('empty_cast')
	.displayName('Empty Cast')
	.unstackable()
})

//Ingot Cast
onEvent('item.registry', event => {
	event.create('ingot_cast')
	.displayName('Ingot Cast')
	.unstackable()
})

//Gem Cast
onEvent('item.registry', event => {
	event.create('gem_cast')
	.displayName('Gem Cast')
	.unstackable()
})

//Pickaxe Cast
onEvent('item.registry', event => {
	event.create('pickaxe_cast')
	.displayName('Pickaxe Cast')
	.unstackable()
})

//Axe Cast
onEvent('item.registry', event => {
	event.create('axe_cast')
	.displayName('Axe Cast')
	.unstackable()
})

//Sword Blade Cast
onEvent('item.registry', event => {
	event.create('sword_blade_cast')
	.displayName('Sword Blade Cast')
	.unstackable()
})

//Sword Guard Cast
onEvent('item.registry', event => {
	event.create('sword_guard_cast')
	.displayName('Sword Guard Cast')
	.unstackable()
})

//Shovel Cast
onEvent('item.registry', event => {
	event.create('shovel_cast')
	.displayName('Shovel Cast')
	.unstackable()
})

//Hoe Cast
onEvent('item.registry', event => {
	event.create('hoe_cast')
	.displayName('Hoe Cast')
	.unstackable()
})

//Empty Reinforced Cast
onEvent('item.registry', event => {
	event.create('reinforced_empty_cast')
	.displayName('Reinforced Empty Cast')
	.unstackable()
})

//Reinforced Ingot Cast
onEvent('item.registry', event => {
	event.create('reinforced_ingot_cast')
	.displayName('Reinforced Ingot Cast')
	.unstackable()
})

//Reinforced Gem Cast
onEvent('item.registry', event => {
	event.create('reinforced_gem_cast')
	.displayName('Reinforced Gem Cast')
	.unstackable()
})

//Reinforced Pickaxe Cast
onEvent('item.registry', event => {
	event.create('reinforced_pickaxe_cast')
	.displayName('Reinforced Pickaxe Cast')
	.unstackable()
})

//Reinforced Axe Cast
onEvent('item.registry', event => {
	event.create('reinforced_axe_cast')
	.displayName('Reinforced Axe Cast')
	.unstackable()
})

//Reinforced Sword Blade Cast
onEvent('item.registry', event => {
	event.create('reinforced_sword_blade_cast')
	.displayName('Reinforced Sword Blade Cast')
	.unstackable()
})

//Reinforced Sword Guard Cast
onEvent('item.registry', event => {
	event.create('reinforced_sword_guard_cast')
	.displayName('Reinforced Sword Guard Cast')
	.unstackable()
})

//Reinforced Shovel Cast
onEvent('item.registry', event => {
	event.create('reinforced_shovel_cast')
	.displayName('Reinforced Shovel Cast')
	.unstackable()
})

//Reinforced Hoe Cast
onEvent('item.registry', event => {
	event.create('reinforced_hoe_cast')
	.displayName('Reinforced Hoe Cast')
	.unstackable()
})

//Wooden Pickaxe Head
onEvent('item.registry', event => {
	event.create('wooden_pickaxe_head')
	.displayName('Wooden Pickaxe Head')
})

//Wooden Axe Head
onEvent('item.registry', event => {
	event.create('wooden_axe_head')
	.displayName('Wooden Axe Head')
})

//Wooden Sword Blade
onEvent('item.registry', event => {
	event.create('wooden_sword_blade')
	.displayName('Wooden Sword Blade')
})

//Wooden Sword Guard
onEvent('item.registry', event => {
	event.create('wooden_sword_guard')
	.displayName('Wooden Sword Guard')
})

//Wooden Sword Head
onEvent('item.registry', event => {
	event.create('wooden_sword_head')
	.displayName('Wooden Sword Head')
})

//Wooden Shovel Head
onEvent('item.registry', event => {
	event.create('wooden_shovel_head')
	.displayName('Wooden Shovel Head')
})

//Wooden Hoe Head
onEvent('item.registry', event => {
	event.create('wooden_hoe_head')
	.displayName('Wooden Hoe Head')
})

//Stone Pickaxe Head
onEvent('item.registry', event => {
	event.create('stone_pickaxe_head')
	.displayName('Stone Pickaxe Head')
})

//Stone Axe Head
onEvent('item.registry', event => {
	event.create('stone_axe_head')
	.displayName('Stone Axe Head')
})

//Stone Sword Blade
onEvent('item.registry', event => {
	event.create('stone_sword_blade')
	.displayName('Stone Sword Blade')
})

//Stone Sword Guard
onEvent('item.registry', event => {
	event.create('stone_sword_guard')
	.displayName('Stone Sword Guard')
})

//Stone Sword Head
onEvent('item.registry', event => {
	event.create('stone_sword_head')
	.displayName('Stone Sword Head')
})

//Stone Shovel Head
onEvent('item.registry', event => {
	event.create('stone_shovel_head')
	.displayName('Stone Shovel Head')
})

//Stone Hoe Head
onEvent('item.registry', event => {
	event.create('stone_hoe_head')
	.displayName('Stone Hoe Head')
})

//Iron Pickaxe Head
onEvent('item.registry', event => {
	event.create('iron_pickaxe_head')
	.displayName('Iron Pickaxe Head')
})

//Iron Axe Head
onEvent('item.registry', event => {
	event.create('iron_axe_head')
	.displayName('Iron Axe Head')
})

//Iron Sword Blade
onEvent('item.registry', event => {
	event.create('iron_sword_blade')
	.displayName('Iron Sword Blade')
})

//Iron Sword Guard
onEvent('item.registry', event => {
	event.create('iron_sword_guard')
	.displayName('Iron Sword Guard')
})

//Iron Sword Head
onEvent('item.registry', event => {
	event.create('iron_sword_head')
	.displayName('Iron Sword Head')
})

//Iron Shovel Head
onEvent('item.registry', event => {
	event.create('iron_shovel_head')
	.displayName('Iron Shovel Head')
})

//Iron Hoe Head
onEvent('item.registry', event => {
	event.create('iron_hoe_head')
	.displayName('Iron Hoe Head')
})

//Golden Pickaxe Head
onEvent('item.registry', event => {
	event.create('golden_pickaxe_head')
	.displayName('Golden Pickaxe Head')
})

//Golden Axe Head
onEvent('item.registry', event => {
	event.create('golden_axe_head')
	.displayName('Golden Axe Head')
})

//Golden Sword Blade
onEvent('item.registry', event => {
	event.create('golden_sword_blade')
	.displayName('Golden Sword Blade')
})

//Golden Sword Guard
onEvent('item.registry', event => {
	event.create('golden_sword_guard')
	.displayName('Golden Sword Guard')
})

//Golden Sword Head
onEvent('item.registry', event => {
	event.create('golden_sword_head')
	.displayName('Golden Sword Head')
})

//Golden Shovel Head
onEvent('item.registry', event => {
	event.create('golden_shovel_head')
	.displayName('Golden Shovel Head')
})

//Golden Hoe Head
onEvent('item.registry', event => {
	event.create('golden_hoe_head')
	.displayName('Golden Hoe Head')
})

//Diamond Pickaxe Head
onEvent('item.registry', event => {
	event.create('diamond_pickaxe_head')
	.displayName('Diamond Pickaxe Head')
})

//Diamond Axe Head
onEvent('item.registry', event => {
	event.create('diamond_axe_head')
	.displayName('Diamond Axe Head')
})

//Diamond Sword Blade
onEvent('item.registry', event => {
	event.create('diamond_sword_blade')
	.displayName('Diamond Sword Blade')
})

//Diamond Sword Guard
onEvent('item.registry', event => {
	event.create('diamond_sword_guard')
	.displayName('Diamond Sword Guard')
})

//Diamond Sword Head
onEvent('item.registry', event => {
	event.create('diamond_sword_head')
	.displayName('Diamond Sword Head')
})

//Diamond Shovel Head
onEvent('item.registry', event => {
	event.create('diamond_shovel_head')
	.displayName('Diamond Shovel Head')
})

//Diamond Hoe Head
onEvent('item.registry', event => {
	event.create('diamond_hoe_head')
	.displayName('Diamond Hoe Head')
})

//Netherite Pickaxe Head
onEvent('item.registry', event => {
	event.create('netherite_pickaxe_head')
	.displayName('Netherite Pickaxe Head')
})

//Netherite Axe Head
onEvent('item.registry', event => {
	event.create('netherite_axe_head')
	.displayName('Netherite Axe Head')
})

//Netherite Sword Blade
onEvent('item.registry', event => {
	event.create('netherite_sword_blade')
	.displayName('Netherite Sword Blade')
})

//Netherite Sword Guard
onEvent('item.registry', event => {
	event.create('netherite_sword_guard')
	.displayName('Netherite Sword Guard')
})

//Netherite Sword Head
onEvent('item.registry', event => {
	event.create('netherite_sword_head')
	.displayName('Netherite Sword Head')
})

//Netherite Shovel Head
onEvent('item.registry', event => {
	event.create('netherite_shovel_head')
	.displayName('Netherite Shovel Head')
})

//Netherite Hoe Head
onEvent('item.registry', event => {
	event.create('netherite_hoe_head')
	.displayName('Netherite Hoe Head')
})

//Crystal Pickaxe Head
onEvent('item.registry', event => {
	event.create('crystal_pickaxe_head')
	.displayName('Crystal Pickaxe Head')
})

//Crystal Axe Head
onEvent('item.registry', event => {
	event.create('crystal_axe_head')
	.displayName('Crystal Axe Head')
})

//Crystal Sword Blade
onEvent('item.registry', event => {
	event.create('crystal_sword_blade')
	.displayName('Crystal Sword Blade')
})

//Crystal Shovel Head
onEvent('item.registry', event => {
	event.create('crystal_shovel_head')
	.displayName('Crystal Shovel Head')
})

//Inert Crystal Pickaxe
onEvent('item.registry', event => {
	event.create('inert_crystal_pickaxe')
	.displayName('Inert Crystal Pickaxe')
})

//Inert Crystal Axe Head
onEvent('item.registry', event => {
	event.create('inert_crystal_axe')
	.displayName('Inert Crystal Axe')
})

//Inert Crystal Sword
onEvent('item.registry', event => {
	event.create('inert_crystal_sword')
	.displayName('Inert Crystal Sword')
})

//Inert Crystal Shovel
onEvent('item.registry', event => {
	event.create('inert_crystal_shovel')
	.displayName('Inert Crystal Shovel')
})

//Crystallized Starlight
onEvent('item.registry', event => {
	event.create('crystallized_starlight')
	.displayName('Crystallized Starlight')
})